#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
export HOME=debian/fakehome
export PYBUILD_TEST_ARGS=-k 'not test_spiderfootthreadpool and not test_spiderfootscanner and not test_sf and not test_sfcli and not test_sfwebui and not test_spiderfootwebui'


%:
	dh $@ --with python3

override_dh_install:
	dh_install -XLICENSE

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	mkdir debian/fakehome
	python3 -m pytest -k 'not test_spiderfootthreadpool and not test_spiderfootscanner and not test_sf and not test_sfcli and not test_sfwebui and not test_spiderfootwebui'
endif
